Summary:        Main panel bar for Nde desktop suite
Name:           nde-panel
Version:        0.0.1
Release:        105%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  nde-lib-devel, gcc, gcc-c++, cmake, nde-globalkeys-devel
BuildRequires:  libstatgrab-devel, libsysstat-devel, lm_sensors-devel
BuildRequires:  pulseaudio-libs-devel, alsa-lib-devel
BuildRequires:  menu-cache-devel, dbusmenu-qt5-devel
BuildRequires:  kf5-kwindowsystem-devel, kf5-kguiaddons-devel, kf5-solid-devel, qt5-qttools-devel, libqtxdg-devel
BuildRequires:  libX11-devel, libXau-devel, libXdmcp-devel, libxkbfile-devel, libXcomposite-devel
BuildRequires:  libXdamage-devel, libXrender-devel, libXfixes-devel, libXrandr-devel, xcb-util-devel
BuildRequires:  libXcursor-devel, libXtst-devel, libxcb-devel, libxkbcommon-devel, libxkbcommon-x11-devel
BuildRequires:  xcb-util-keysyms-devel, xcb-util-image-devel, xcb-util-renderutil-devel, xcb-util-wm-devel
BuildRequires:  desktop-file-utils
Requires: lxmenu-data
Requires: nde-lib
Requires: libqtxdg
Requires: nde-networkmanager



%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package l10n
Summary:        Translations for nde-panel
Requires:       nde-panel
%description l10n
This package provides translations for the nde-panel package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
    -DPULL_TRANSLATIONS=NO \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

for desktop in %{buildroot}/%{_datadir}/nde/nde-panel/*.desktop; do
    desktop-file-edit --remove-category=Nde --remove-only-show-in=Nde --add-only-show-in=X-Nde ${desktop}
done

%find_lang nde-panel --with-qt
%find_lang colorpicker --with-qt
%find_lang cpuload --with-qt
%find_lang desktopswitch --with-qt
%find_lang directorymenu --with-qt
%find_lang kbindicator --with-qt
%find_lang mainmenu --with-qt
%find_lang mount --with-qt
%find_lang networkmonitor --with-qt
%find_lang quicklaunch --with-qt
%find_lang sensors --with-qt
%find_lang showdesktop --with-qt
%find_lang spacer --with-qt
%find_lang statusnotifier --with-qt
%find_lang sysstat --with-qt
%find_lang taskbar --with-qt
%find_lang tray --with-qt
%find_lang volume --with-qt
%find_lang worldclock --with-qt



%files
%{_bindir}/nde-panel
%{_bindir}/nde-xembedsniproxy
%dir %{_libdir}/nde-panel
%{_libdir}/nde-panel/*.so
%{_datadir}/nde
%{_mandir}/man1/nde-panel*
%{_sysconfdir}/xdg/autostart/nde-panel.desktop
%{_sysconfdir}/xdg/autostart/nde-xembedsniproxy.desktop
%{_sysconfdir}/xdg/menus/nde-applications.menu
%{_datadir}/desktop-directories/nde-leave.directory
%{_datadir}/desktop-directories/nde-settings.directory

%files devel
%dir %{_includedir}/nde
%{_includedir}/nde/*

%files l10n -f nde-panel.lang -f colorpicker.lang -f cpuload.lang -f desktopswitch.lang -f directorymenu.lang -f kbindicator.lang -f mainmenu.lang -f mount.lang -f networkmonitor.lang -f quicklaunch.lang -f sensors.lang -f showdesktop.lang -f spacer.lang -f statusnotifier.lang -f sysstat.lang -f taskbar.lang -f tray.lang -f volume.lang -f worldclock.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-panel



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-105
- small fix

* Mon Nov 23 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-104
- 开始菜单在Zte版本下删除切换按钮

* Mon Nov 9 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-103
- 修复屏幕尺寸变化时，显示错位的问题

* Thu Oct 29 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-102
- 修复bug

* Wed Oct 28 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-101
- 桌面切换页面添加关闭动态效果样式

* Tue Oct 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-100
- 添加关闭动态效果样式

* Thu Oct 22 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-99
- 修复开始菜单在中文输入过程中按上下方向键导致的输入框卡死的问题

* Tue Oct 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-98
- 修改快速启动栏默认配置，修复应用卸载后再安装仍在常用列表的bug

* Wed Oct 14 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-97
- 修复bug

* Tue Oct 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-96
- 添加独立的常用页面

* Tue Oct 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-95
- 快捷键切换桌面

* Mon Sep 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-94
- 修复任务栏在平铺模式下应用铺满留有空白的问题。

* Fri Sep 18 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-93
- 修复任务栏在桌面分辨率变化后显示偏移的问题;
- 桌面切换界面背景随桌面壁纸一起变化.

* Mon Sep 7 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-92
- 多任务视图Tab快捷键选中新建按钮，其它桌面选中状态不会消失

* Wed Sep 2 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-91
- 修复任务栏所有应用最小化之后,关闭应用可能出现空白任务栏的现象.

* Wed Sep 2 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-90
- 修复托盘弹出显示问题,修复开始菜单全屏tab问题;

* Tue Sep 1 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-89
- 修复开始菜单全屏tab问题;
- 修复通知栏显示问题;
- 修复快速启动栏卸载问题;
- 添加缩略图模块,修复切换平铺模式缩略图显示问题.

* Tue Sep 1 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-88
- 多任务视图Tab快捷键可以选中新建按钮
- 处理多任务视图显示部分crossover应用会多显示一个空白应用信息

* Thu Aug 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-87
- 修复开始菜单默认排序错误的问题（bug#2194），字符串纠正（bug#2693）;
- 修复开始菜单等打开后任务栏会隐藏的问题（bug#2534）。

* Thu Aug 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-86
- 多任务视图Tab快捷键可以循环选中所有窗口
- 处理多任务视图显示部分crossover应用会多显示一个空白应用信息

* Mon Aug 24 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-85
- 任务栏添加平铺样式

* Fri Aug 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-83
- 1.修复注销或重启后常用应用消失的问题（bug#2677）;
- 2.修复拖拽应用进入快速启动栏时，部分按钮会有hover状态的问题;
- 3.添加常用应用统计dbus调用接口。

* Thu Aug 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-82
- 1.修复多任务视图获取缩略图可能模糊的问题（bug#2647）;
- 2.快速启动栏添加拖动功能，修复（bug#2634,bug#2636）。

* Thu Aug 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-81
- 1.修复panel在不同方位，拖动托盘图标时托盘区域不显示的问题;
- 2.修复切换分辨率时导致的开始菜单无法输入的问题。

* Tue Aug 18 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-80
- 1.修复快速启动栏固定相同应用的问题（bug#2653）;
- 2.修复多任务视图中窗口被托走，任务栏仍然显示的问题（bug#2648）;
- 3.任务栏右键点击后状态显示问题（bug#2636）;
- 4.修改多任务视图的翻译，删除无用的注释。

* Tue Aug 18 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-79
- 多任务视图快捷键操作显示区域滚动问题，使用左右快捷键可以查看所有任务窗口

* Mon Aug 17 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-78
- 1.修复关闭预览窗口时，其他预览窗口也关闭的问题（bug#2547）;
- 2.修复切换虚拟桌面后预览窗口弹出不正确的（bug#2613）。

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-77
- 添加快速启动栏和多任务视图按钮的显示隐藏切换

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-76
- 修复bug#2142，任务栏打开应用时，关闭预览窗口。

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-75
- 添加快速启动栏,修复任务栏在多桌面下切换的bug。

* Thu Aug 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-72
- 修复多任务视图关闭桌面会出现闪退问题
- 修复多任务视图不随桌面分辨率改变的问题
- 修复多任务视图键盘事件聚焦的问题
- 修复上下快捷键选择窗口滚动条不会自适应问题

* Thu Aug 6 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-69
- 修复多任务栏引起的开始菜单无法输入的问题。

* Thu Aug 6 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-68
- 修复多任务栏引起的开始菜单无法输入的问题。

* Tue Aug 4 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-66
- 修复多任务视图快捷失效的问题。

* Fri Jul 31 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-65
- 修复托盘弹出窗口在任务栏变化未隐藏的问题

* Fri Jul 31 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-64
- 开始菜单添加"control+escape"快捷键

* Thu Jul 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-63
- 多任务视图添加快捷键操作功能。

* Thu Jul 30 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-62
- 修复桌面切换界面图片显示不全的问题。

* Thu Jul 30 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-61
- 再次修改开始菜单点击win键不隐藏的问题，修复桌面切换界面与其他界面（比如开始菜单）同时显示的问题。

* Tue Jul 28 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-60
- 修复开始菜单点击win键不隐藏的问题，修复搜索时的崩溃问题。

* Mon Jul 27 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-59
- 添加win+tab,win+D和win+M快捷键

* Mon Jul 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-58
- 修复开始菜单在小分辨率情况下的显示问题，修复任务栏应用预览弹出不合理的问题

* Mon Jul 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-58
- 修复日历显示时间卡顿问题

* Fri Jul 24 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-54
- 修复win+数字键唤醒窗口问题

* Thu Jul 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-52
- 修复日历显示时间卡顿问题

* Wed Jul 22 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-51
- 修复应用缩略图获取到桌面背景的问题

* Mon Jul 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-49
- 添加多任务视图快捷键ctrl+alt+tab显示

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-48
- 1.搜索时不再显示常用应用；2.修复卸载后常用应用栏仍然显示的问题；3.添加右键菜单；4.修复全屏下有图标显示不全的问题；

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-47
- 删除多任务视图在任务栏显示

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-46
- 修复开始菜单布局错误bug

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-45
- 修改开始菜单menu文件

* Mon Jul 13 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-43
- 添加常用应用

* Wed Jul 08 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-42
- 修改点击日历不显示的问题

* Mon Jul 06 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-41
- 修改任务栏方向改变后，打开的日历关闭

* Mon Jul 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-40
- 修复音量小部件不能及时跟随panel显示的问题

* Fri Jul 03 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-39
- 优化多任务视图显示模糊问题

* Wed Jul 01 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-38
- 修复开始菜单有重复项目的bug

* Tue Jun 30 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-37
- 修复按钮高亮时自体变黑的问题

* Tue Jun 30 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-36
- 修复按钮回车无效的问题

* Mon Jun 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-35
- 修复开始菜单背景没及时消失的问题

* Sun Jun 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-34
- 修复开始菜单背景没及时消失的问题

* Sun Jun 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-33
- 删除虚拟机下的睡眠按钮

* Wed Jun 24 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-32
- 修改了菜单栏导航策略，焦点在搜索框上时：直接按上下方向键能直接跳转到应用，焦点在应用上时，直接输入字母跳转到搜索框，同时不影响tab快捷键

* Tue Jun 23 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-31
- 添加开始菜单快捷键，虚拟机下删除睡眠，修改搜索策略。

* Fri Jun 19 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-30
- 修改全屏开始菜单出现的模式，添加按键Esc退出菜单，添加翻译

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-29
- 添加全屏开始菜单动画效果

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-28
- 添加全屏开始菜单，添加拖拽应用到桌面和快捷启动栏

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-27
- fixbug

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-26
- 修正开始菜单圆角不规则的问题

* Wed Jun 3 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-21
- Modify display desktop button style

* Wed Jun 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-20
- 修改任务栏日期显示，选择年份不更新日历界面，更新多任务视图图标，多任务视图桌面增加鼠标双击事件

* Wed Jun 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-19
- 修改获取图片截图内存泄露问题

* Tue Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-18
- 增加打开缩略图的延时显示

* Tue Jun 2 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-17
- 更改多任务视图图标以及中英文提示

* Tue Jun 2 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-16
- 修复多任务视图显示BUG，日历时间显示不会随任务栏方向改变更新的问题

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-14
- 添加nde-networkmanager依赖

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 修复通知栏，开始菜单样式和翻译不生效的问题

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-12
- 修复开始菜单显示规则(nde-application.menu)

* Thu May 28 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-11
- 修改Bug：悬浮窗口三态、悬浮窗口充满时，覆盖任务栏、任务栏左右布局时，显示桌面图标不对

* Thu May 28 2020 He yinkang <he.yinkang@zte.com.cn> - 0.0.1-10
- 修改布局不更新的问题

* Wed May 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 修复开始菜单图标，间距等问题，隐藏通知栏未实现的功能按钮

* Tue May 26 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-8
- 修改日历显示位置，日期间隔

* Mon May 25 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-7
- 修改任务栏右键菜单栏选项和缩略图高度计算

* Sat May 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-5
- 优化多任务视图启动速度，阴影显示效果

* Fri May 22 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-4
- 日历功能界面以及多任务视图界面调整

* Fri May 22 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改显示桌面按钮UI和任务缩略图UI

* Thu May 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Wed May 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-3.11
- 修改日历界面

* Mon May 18 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.10
- 开始菜单添加圆角，添加开始菜单和消息栏中文英文翻译

* Mon May 18 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-3.9
- 修改多任务视图，日历界面

* Mon May 18 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.8
- 修改任务栏预览窗口UI，并暂关闭预览窗口的弹出动画

* Fri May 15 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.7
- 修改通知栏样式，和通知栏bug，删除开始菜单中nde设置项

* Thu May 14 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.6
- 提交开始菜单代码，添加通知栏主题统一获取

* Fri May 8 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.4
- 修复通知栏消息项高度的问题

* Fri May 8 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.3
- 修复通知栏显示为中文

* Thu Apr 30 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.2
- 通知栏添加分组，添加动作响应

* Thu Apr 30 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.1
- Modify taskbar Preview